//
//  LCStarObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 08.04.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCFrameObject.h"
#import <AvisNocturnaCrossCore/ANGeometryHelper-Defines.h>

@interface LCStarObject : LCFrameObject
{
    float innerWidthFactor;
    float numberOfSides;
    float innerSideSpacing;
    float outerSideWidth;
    
    ANGeometry_PathMode pathMode;
    float strokeLineWidth;
}

@property (assign) float innerWidthFactor;
@property (assign) float numberOfSides;
@property (assign) float innerSideSpacing;
@property (assign) float outerSideWidth;

@property (assign) ANGeometry_PathMode pathMode;
@property (assign) float strokeLineWidth;

@end
