//
//  ANImageHelper+Reflection.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 01.07.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "ANImageHelper.h"

@interface ANImageHelper (Reflection)

+ (CGImageRef) reflectionImageForImageInContext:(CGContextRef)context withBytes:(unsigned char*)bytes withContextSize:(CGSize)size withYBaseLine:(NSInteger)yBaseLine andReflectionHeight:(NSInteger)reflectionHeight andYOffset:(NSInteger)yOffset andStartOpacity:(float)startOpacity andEndOpacity:(float)endOpacity andEndBlur:(float)endBlur andPlatformTintColor:(ANPlatformColor*)tintColor andWaveDistorsionStrength:(float)waveDistorsionStrength andWaveDistorsionFrequency:(float)waveDistorsionFrequency;

@end

