//
//  NSValue+Additions.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 30.05.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#ifdef iOS
#import <CoreGraphics/CoreGraphics.h>
#endif

@interface NSValue (Additions)

#ifdef iOS
- (CGPoint) pointValue;
+ (NSValue*) valueWithPoint:(CGPoint)point;

- (CGRect) rectValue;
+ (NSValue*) valueWithRect:(CGRect)rect;
#endif

@end
