//
//  LCRectObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 18.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

#import "LCFrameObject.h"

typedef enum LCRectObject_EdgeMode
{
    LCRectObject_EdgeMode_Round = 0,
    LCRectObject_EdgeMode_InvertedRound = 1,
    LCRectObject_EdgeMode_Straight = 2,
    LCRectObject_EdgeMode_InvertedStraight = 3

}LCRectObject_EdgeMode;

@interface LCRectObject : LCFrameObject
{
    float edgeRadius;
    LCRectObject_EdgeMode edgeMode;
}

@property (assign) float edgeRadius;
@property (assign) LCRectObject_EdgeMode edgeMode;

@end
